function [T,ypred]=crossit(X,F,op);

if nargin<3
    op=struct('display','o  ff','plots','off');
    s = preprocess('default','autoscale');
else
    s = op;
    op=struct('display','off','plots','off');
end

T = repmat(NaN,size(X,1),F);
ypred = repmat(NaN,size(X,1),1);
ytrue = X.class{1}';
sm = preprocess('default','mean center');

[Xc] = preprocess('calibrate',s,X);  
[Yc] = preprocess('calibrate',sm,X.class{1}');
overallmodel = pls(Xc,Yc,F,op);
P = overallmodel.loads{2};

for i=1:size(X,1)
%    id = [i:d:size(X,1)];
    Xcal = X;
    Xcal(i,:)=[];
    Xtst = X(i,:);
    if nargin>2
        [XcalP,sp] = preprocess('calibrate',s,Xcal);  
        XtstP = preprocess('apply',sp,Xtst); 
        [Ycal,sp2] = preprocess('calibrate',sm,XcalP.class{1}');  
    else
        XcalP = Xcal;
        Ycal = ytrue-mean(ytrue);
        Ycal(i)=[];
        XtstP = Xtst;
    end
    
    ModCal = pls(XcalP,Ycal,F,op);
    PredCal = pls(XtstP,ModCal,op);    
    % Rotate towards global model
    Ph = ModCal.loads{2};
    B = pinv(Ph)*P;
    There = PredCal.loads{1};
    Trot = There*pinv(B');
    T(i,:)=Trot;
    ypred(i)=PredCal.pred{2}(:,1);
end